{ zentralwerk, config, lib, pkgs, ... }:
{
  networking.hostName = "mastodon";
  c3d2.hq.statistics.enable = true;
  deployment = {
    mem = 4096;
    vcpu = 8;
  };

  system.stateVersion = "22.11";

  services.postgresql.enable = true;

  services.mastodon = {
    enable = true;
    localDomain = "c3d2.social";

    smtp.host = "c3d2.social";
    smtp.fromAddress = "mail@c3d2.social";
    # smtp.authenticate = true;
    # smtp.user = secrets.email.smtp-user;
    # smtp.passwordFile = "${pkgs.runCommand "smtp-password" {} ''
    #     echo "${secrets.email.smtp-password}" > $out
    #   ''}";

    extraConfig = {
      ALTERNATE_DOMAINS = lib.concatStringsSep "," [
        "${config.networking.hostName}.serv.zentralwerk.org"
      ];
      DEFAULT_LOCALE = "de";

    };

    configureNginx = true;
  };

  networking.firewall.allowedTCPPorts = [ 80 443 ];
}
